{
  "BrowseFullVal": "ns=2;s=Sinumerik",
  "BrowseNSIndex": 4,
  "BrowseValue": 5001,
  "keyPartCount": "QUANTITA_PRODOTTA",
  "keyPartReq": "",
  "keyPartId": "",
  "keyProgName": "progName",
  "keyRunMode": "acProg",
  "pingAsPowerOn": true,
  "Identity": {
    "UserName": "DONATI_1",
    "Passwd": "DONATI_1"
  },
  "condWork": [
    {
      "keyName": "acProg",
      "targetValue": "2"
    }
  ],
  "condPowerOn": {
  },
  "condReady": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "acProg",
        "targetValue": "3"
      }
    ]
  },
  "condManual": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "acProg",
        "targetValue": "4"
      }
    ]
  },
  "condEStop": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "aStopesi",
        "targetValue": "0"
      }
    ]
  },
  "condError": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "acProg",
        "targetValue": "1"
      }
    ]
  },
  "condCountEnabled": {
    "checkMode": "AND",
    "checkList": []
  },
  "condWarmUpCoolDown": {
    "checkMode": "OR",
    "negateValue": true,
    "checkList": [
    ]
  },
  "fluxLogVeto": [
    "L2p1CommonVariable"
  ],
  "itemTranslation": {
    "avail": "Machine Available",
    "rstat": "Execution Mode",
    "mode": "Controller Mode",
    "ncprog": "Program Name",
    "IO_150": "Qta Prodotta (metri)",
    "lpremain": "Qta Richiesta",
    "fdovrd": "PATH FEED OVERRIDE",
    "rovrd": "PATH RAPID OVERRIDE"
  },
  "paramsEndThresh": {
    "actFeedRateIpoOvr": 10,
    "feedRateIpoOvr": 10
  },
  "paramsContainsThresh": {
  },
  "filterItemsNodeId": [
    "ns=2;s=/Axis",
    "ns=2;s=/Bag",
    "ns=2;s=/Channel/State/actProgNetTime",
    "ns=2;s=/Channel/AuxiliaryFunctions",
    "ns=2;s=/Channel/GenericCoupling",
    "ns=2;s=/Channel/Diagnose",
    "ns=2;s=/Channel/ChannelDiagnose",
    "ns=2;s=/Channel/ProtocolEvent",
    "ns=2;s=/Channel/ActualFrame",
    "ns=2;s=/Channel/BaseFrame",
    "ns=2;s=/Channel/ExternFrame",
    "ns=2;s=/Channel/GrindingFrame",
    "ns=2;s=/Channel/SystemFrame",
    "ns=2;s=/Channel/UserFrame",
    "ns=2;s=/Channel/Drive",
    "ns=2;s=/Channel/Nibbling",
    "ns=2;s=/Channel/Parameter",
    "ns=2;s=/Channel/ProtectedArea",
    "ns=2;s=/Channel/Settings",
    "ns=2;s=/Channel/GeometricAxis",
    "ns=2;s=/Channel/MachineAxis",
    "ns=2;s=/Channel/ProgramModification",
    "ns=2;s=/Channel/SelectedFunctions",
    "ns=2;s=/Channel/Search",
    "ns=2;s=/Channel/InterruptionSearch",
    "ns=2;s=/Channel/ProgramPointer",
    "ns=2;s=/Channel/LogicalSpindle",
    "ns=2;s=/Channel/Compensation",
    "ns=2;s=/Channel/SelectedFunctionData",
    "ns=2;s=/Channel/CoordSysWorkAreaLimits",
    "ns=2;s=/Channel/Configuration",
    "ns=2;s=/Channel/Spindle",
    "ns=2;s=/DriveVsa",
    "ns=2;s=Sinumerik/FileSystem",
    "ns=2;s=/Methods",
    "ns=2;s=/NC",
    "ns=2;s=/NC/_N_NC_GD1_ACX",
    "ns=2;s=/NC/_N_NC_GD4_ACX",
    "ns=2;s=/NC/_N_CH_GD1_ACX",
    "ns=2;s=/NC/_N_CH_GD4_ACX",
    "ns=2;s=/HMI",
    "ns=2;s=/Random",
    "ns=2;s=/SEA",
    "ns=2;s=/TEA",
    "ns=2;s=/Tool",
    "ns=2;s=/Plc/Clock",
    "ns=2;s=/Plc/C",
    "ns=2;s=/Plc/T",
    "ns=2;s=/Plc/I",
    "ns=2;s=/Plc/IB",
    "ns=2;s=/Plc/IW",
    "ns=2;s=/Plc/ID",
    "ns=2;s=/Plc/M",
    "ns=2;s=/Plc/MB",
    "ns=2;s=/Plc/MW",
    "ns=2;s=/Plc/MD",
    "ns=2;s=/Plc/Q",
    "ns=2;s=/Plc/QB",
    "ns=2;s=/Plc/QW",
    "ns=2;s=/Plc/QD",
    "ns=2;s=/Plc/ID",
    "ns=2;s=/Plc/ID",
    "ns=2;s=IArea",
    "ns=2;s=QArea",
    "ns=2;s=MArea",
    "ns=2;s=/Plc/DB1",
    "ns=2;s=/Plc/DB2",
    "ns=2;s=/Plc/DB3",
    "ns=2;s=/Plc/DB4",
    "ns=2;s=/Plc/DB5",
    "ns=2;s=/Plc/DB6",
    "ns=2;s=/Plc/DB7",
    "ns=2;s=/Plc/DB8",
    "ns=2;s=/Plc/DB9",
    "ns=2;s=/Plc/DB10",
    "ns=2;s=/Plc/DB11",
    "ns=2;s=/Plc/DB15",
    "ns=2;s=/Plc/DB16",
    "ns=2;s=/Plc/DB17",
    "ns=2;s=/Plc/DB18",
    "ns=2;s=/Plc/DB19",
    "ns=2;s=/Plc/DB20",
    "ns=2;s=/Plc/DB21",
    "ns=2;s=/Plc/DB31",
    "ns=2;s=/Plc/DB32",
    "ns=2;s=/Plc/DB33",
    "ns=2;s=/Plc/DB34",
    "ns=2;s=/Plc/DB35",
    "ns=2;s=/Plc/DB36",
    "ns=2;s=/Plc/DB53",
    "ns=2;s=/Plc/DB62",
    "ns=2;s=/Plc/DB63",
    "ns=2;s=/Plc/DB64",
    "ns=2;s=/Plc/DB65",
    "ns=2;s=/Plc/DB66",
    "ns=2;s=/Plc/DB71",
    "ns=2;s=/Plc/DB72",
    "ns=2;s=/Plc/DB74",
    "ns=2;s=/Plc/DB75",
    "ns=2;s=/Plc/DB76",
    "ns=2;s=/Plc/DB77",
    "ns=2;s=/Plc/DB78",
    "ns=2;s=/Plc/DB92",
    "ns=2;s=/Plc/DB93",
    "ns=2;s=/Plc/DB100",
    "ns=2;s=/Plc/DB101",
    "ns=2;s=/Plc/DB102",
    "ns=2;s=/Plc/DB103",
    "ns=2;s=/Plc/DB104",
    "ns=2;s=/Plc/DB105",
    "ns=2;s=/Plc/DB111",
    "ns=2;s=/Plc/DB114",
    "ns=2;s=/Plc/DB115",
    "ns=2;s=/Plc/DB116",
    "ns=2;s=/Plc/DB120",
    "ns=2;s=/Plc/DB121",
    "ns=2;s=/Plc/DB140",
    "ns=2;s=/Plc/DB154",
    "ns=2;s=/Plc/DB170",
    "ns=2;s=/Plc/DB171",
    "ns=2;s=/Plc/DB172",
    "ns=2;s=/Plc/DB173",
    "ns=2;s=/Plc/DB174",
    "ns=2;s=/Plc/DB200",
    "ns=2;s=/Plc/DB201",
    "ns=2;s=/Plc/DB202",
    "ns=2;s=/Plc/DB203",
    "ns=2;s=/Plc/DB204",
    "ns=2;s=/Plc/DB213",
    "ns=2;s=/Plc/DB272",
    "ns=2;s=/Plc/DB283",
    "ns=2;s=/Plc/DB284",
    "ns=2;s=/Plc/DB310",
    "ns=2;s=/Plc/DB325",
    "ns=2;s=/Plc/DB326",
    "ns=2;s=/Plc/DB332",
    "ns=2;s=/Plc/DB333",
    "ns=2;s=/Plc/DB334",
    "ns=2;s=/Plc/DB335",
    "ns=2;s=/Plc/DB336",
    "ns=2;s=/Plc/DB505",
    "ns=2;s=/Plc/DB506",
    "ns=2;s=/Plc/DB507",
    "ns=2;s=/Plc/DB508",
    "ns=2;s=/Plc/DB509",
    "ns=2;s=/Plc/DB510",
    "ns=2;s=/Plc/DB650",
    "ns=2;s=/Plc/DB651",
    "ns=2;s=/Plc/DB1000",
    "ns=2;s=/Plc/DB1001",
    "ns=2;s=/Plc/DB1002",
    "ns=2;s=/Plc/DB1071",
    "ns=2;s=/Plc/DB1072"
  ],
  "subscribedItems": [
    "ns=2;s=/Channel/State/actParts",
    "ns=2;s=/Channel/State/acProg",
    "ns=2;s=/Channel/State/oldProgNetTime",
    "ns=2;s=/Channel/State/oldProgNetTimeCounter",
    "ns=2;s=/Channel/State/chanAlarm",
    "ns=2;s=/Channel/State/actTNumber",
    "ns=2;s=/Channel/ProgramInfo/selectedWorkPProg",
    "ns=2;s=/Channel/ProgramInfo/progName",
    "ns=2;s=/Channel/State/acTotalOvr",
    "ns=2;s=/Channel/State/feedRateIpoOvr",
    "ns=2;s=/Nck/State/aStopesi",
    "ns=2;s=/NC/_N_CH_GD2_ACX/CODICE_ARTICOLO",
    "ns=2;s=/NC/_N_CH_GD2_ACX/CODICE_COMMESSA",
    "ns=2;s=/NC/_N_CH_GD2_ACX/QUANTITA_PRODOTTA",
    "ns=2;s=/NC/_N_CH_GD2_ACX/QUANTITA_RICHIESTA"
  ],
  "mMapWrite": {
    "setComm": {
      "name": "setComm",
      "description": "Commessa",
      "tipoMem": "String",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/CODICE_COMMESSA",
      "index": 0,
      "size": 20
    },
    "setArt": {
      "name": "setArt",
      "description": "Articolo",
      "tipoMem": "String",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/CODICE_ARTICOLO",
      "index": 0,
      "size": 20
    },
    "setPzComm": {
      "name": "setPzComm",
      "description": "Qty",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/QUANTITA_RICHIESTA",
      "index": 0,
      "size": 4
    },
    "forceResetPzCount": {
      "name": "forceResetPzCount",
      "description": "Set Contapezzi",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/QUANTITA_PRODOTTA",
      "index": 0,
      "size": 4
    },
    "forceSetPzCount": {
      "name": "forceSetPzCount",
      "description": "Set Contapezzi",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/QUANTITA_PRODOTTA",
      "index": 0,
      "size": 4
    }
  },
  "mMapRead": {
    "OPC_Status": {
      "name": "OPC_Status",
      "description": "Stato",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/Channel/State/acProg",
      "index": 0,
      "size": 1
    },
    "OPC_Alarm": {
      "name": "OPC_Alarm",
      "description": "Allarme",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/Channel/State/chanAlarm",
      "index": 0,
      "size": 1
    },
    "OPC_ToolNum": {
      "name": "OPC_ToolNum",
      "description": "Tool Number",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/Channel/State/actTNumber",
      "index": 0,
      "size": 1
    },
    "OPC_SelProg": {
      "name": "OPC_SelProg",
      "description": "Prog Selezionato",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/Channel/ProgramInfo/selectedWorkPProg",
      "index": 0,
      "size": 50
    },
    "OPC_ProgName": {
      "name": "OPC_ProgName",
      "description": "Nome Programma",
      "tipoMem": "String",
      "memAddr": "ns=2;s=/Channel/ProgramInfo/progName",
      "index": 0,
      "size": 50
    },
    "OPC_ActFeedRateOvr": {
      "name": "OPC_ActFeedRateOvr",
      "description": "FeedRate Act Override",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/Channel/State/actFeedRateIpoOvr",
      "index": 0,
      "size": 1
    },
    "OPC_FeedRateOvr": {
      "name": "OPC_FeedRateOvr",
      "description": "FeedRate Override",
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/Channel/State/feedRateIpoOvr",
      "index": 0,
      "size": 1
    },
    "OPC_actParts": {
      "name": "OPC_actParts",
      "description": "Contapezzi",
      "func": "MEDIAN",
      "period": 600,
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/Channel/State/actParts",
      "index": 0,
      "size": 1
    },
    "OPC_oldProgNetTime": {
      "name": "OPC_oldProgNetTime",
      "description": "Ultimo TCiclo",
      "func": "MEDIAN",
      "period": 600,
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/Channel/State/oldProgNetTime",
      "index": 0,
      "size": 1
    },
    "OPC_QUANTITA_PRODOTTA": {
      "name": "OPC_QUANTITA_PRODOTTA",
      "description": "QUANTITA PRODOTTA",
      "func": "MEDIAN",
      "period": 600,
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/QUANTITA_PRODOTTA",
      "index": 0,
      "size": 1
    },

    "OPC_QUANTITA_RICHIESTA": {
      "name": "OPC_QUANTITA_RICHIESTA",
      "description": "QUANTITA RICHIESTA",
      "func": "MEDIAN",
      "period": 600,
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/QUANTITA_RICHIESTA",
      "index": 0,
      "size": 1
    },
    "OPC_CODICE_ARTICOLO": {
      "name": "OPC_CODICE_ARTICOLO",
      "description": "CODICE ARTICOLO",
      "func": "MEDIAN",
      "period": 600,
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/CODICE_ARTICOLO",
      "index": 0,
      "size": 1
    },
    "OPC_CODICE_COMMESSA": {
      "name": "OPC_CODICE_COMMESSA",
      "description": "CODICE_COMMESSA",
      "func": "MEDIAN",
      "period": 600,
      "tipoMem": "Int",
      "memAddr": "ns=2;s=/NC/_N_CH_GD2_ACX/CODICE_COMMESSA",
      "index": 0,
      "size": 1
    }
  }
}